Page MenuHomePhabricator

Fix search bar in IE (11?)
Closed, ResolvedPublic

Description

Hi when viewing https://devhub.wmflabs.org/w/index.php?title=API:Web_APIs_hub&useskin=blueprint it doesent show the search bar but the search bar is there. It seems to be hidden could this be fixed please.

Event Timeline

Paladox created this task.Jul 23 2015, 1:35 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a project: Blueprint.
Paladox moved this task to Backlog on the Blueprint board.
Paladox added subscribers: Paladox, Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 1:35 PM
Paladox set Security to None.Jul 28 2015, 6:50 PM
Paladox added a subscriber: Spage.

I can see the search bar fine

It could be a screen size issue, can you please add a screenshot?

This is what it looks like on internet explorer 11 windows 10.

But works for me on chrome seems to be having a problem on internet explorer.

@Paladox Is the search bar not focusable or might it be, that just the search icon isn't shown? Can you click into the search field and type something?

Tried typing something but the letter doint show but the search suggestion does. If I add width to the icon I can see icon but still not able to see letters I type.

Volker_E renamed this task from Fix search bar to Fix search bar in IE (11?).EditedAug 9 2015, 2:33 PM
Volker_E triaged this task as Medium priority.

I can reproduce that on Win7/IE11. It's a padding/height issue.

Paladox reopened this task as Open.Aug 13 2015, 5:21 PM

Re opening as it is still a problem for ie.

Volker_E added a comment.EditedAug 14 2015, 8:32 PM

@Paladox added a comment:

Via Web · Thu, Aug 13, 1:13 PM
background-size: 3em; is causing the problem.

Fixed in IE11 on master! Not yet there on devhub.wmflabs.org as repo must be actualized there.

Volker_E moved this task from Backlog to Done on the Blueprint board.Sep 25 2015, 12:18 AM
Volker_E closed this task as Resolved.Oct 21 2015, 1:03 AM